#ifndef Senseurs_h
#define Senseurs_h

#if (ARDUINO >= 100)
#include <Arduino.h>
#else
#include <WProgram.h>
#endif

class Senseurs
{
  public:
   Senseurs(int _SHT_clockPin, int _SHT_dataPin, int _UVpin);
   float getTemperature();
   float getHumidity();
   float getPhotoCurrent();
    
  private:
   int SHT_clockPin;
   int SHT_dataPin;
   int UVpin;
   
   void SHT_skipCrc(int dataPin, int clockPin);
   int SHT_getData(int dataPin, int clockPin);
   void SHT_waitForResult(int dataPin);
   void SHT_sendCommand(int command, int dataPin, int clockPin);
   
       
};

#endif